published on Monday, Aug 24, 2026 by ciscodevnet
published on Monday, Aug 24, 2026 by ciscodevnet
The CliPolicy object manages policies controlling FI and Unified Edge eCMC CLI launches within the account. This provides configuration options for enabling or disabling FI and Unified Edge eCMC CLI launches within the account.
Purpose
CliPolicy enables organizations to manage and control FI and Unified Edge eCMC CLI launches through policy configuration. It ensures secure and efficient access by allowing account-specific configurations.
Key Concepts
- Policy Management: Manages policies for FI and Unified Edge eCMC CLI launches, ensuring secure and efficient access operations.
- Configuration Options: Provides options to enable or disable FI and Unified Edge eCMC CLI launches within the account, supporting tailored access control.
Create CliCliPolicy Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new CliCliPolicy(name: string, args?: CliCliPolicyArgs, opts?: CustomResourceOptions);@overload
def CliCliPolicy(resource_name: str,
args: Optional[CliCliPolicyArgs] = None,
opts: Optional[ResourceOptions] = None)
@overload
def CliCliPolicy(resource_name: str,
opts: Optional[ResourceOptions] = None,
account_moid: Optional[str] = None,
accounts: Optional[Sequence[CliCliPolicyAccountArgs]] = None,
additional_properties: Optional[str] = None,
ancestors: Optional[Sequence[CliCliPolicyAncestorArgs]] = None,
class_id: Optional[str] = None,
cli_cli_policy_id: Optional[str] = None,
create_time: Optional[str] = None,
domain_group_moid: Optional[str] = None,
fi_and_unified_edge_ecmc_cli_launch: Optional[bool] = None,
mod_time: Optional[str] = None,
moid: Optional[str] = None,
object_type: Optional[str] = None,
owners: Optional[Sequence[str]] = None,
parents: Optional[Sequence[CliCliPolicyParentArgs]] = None,
permission_resources: Optional[Sequence[CliCliPolicyPermissionResourceArgs]] = None,
shared_scope: Optional[str] = None,
tags: Optional[Sequence[CliCliPolicyTagArgs]] = None,
version_contexts: Optional[Sequence[CliCliPolicyVersionContextArgs]] = None)func NewCliCliPolicy(ctx *Context, name string, args *CliCliPolicyArgs, opts ...ResourceOption) (*CliCliPolicy, error)public CliCliPolicy(string name, CliCliPolicyArgs? args = null, CustomResourceOptions? opts = null)
public CliCliPolicy(String name, CliCliPolicyArgs args)
public CliCliPolicy(String name, CliCliPolicyArgs args, CustomResourceOptions options)
type: intersight:CliCliPolicy
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "intersight_cli_cli_policy" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args CliCliPolicyArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args CliCliPolicyArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args CliCliPolicyArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args CliCliPolicyArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args CliCliPolicyArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var cliCliPolicyResource = new Intersight.CliCliPolicy("cliCliPolicyResource", new()
{
AccountMoid = "string",
Accounts = new[]
{
new Intersight.Inputs.CliCliPolicyAccountArgs
{
AdditionalProperties = "string",
ClassId = "string",
Moid = "string",
ObjectType = "string",
Selector = "string",
},
},
AdditionalProperties = "string",
Ancestors = new[]
{
new Intersight.Inputs.CliCliPolicyAncestorArgs
{
AdditionalProperties = "string",
ClassId = "string",
Moid = "string",
ObjectType = "string",
Selector = "string",
},
},
ClassId = "string",
CliCliPolicyId = "string",
CreateTime = "string",
DomainGroupMoid = "string",
FiAndUnifiedEdgeEcmcCliLaunch = false,
ModTime = "string",
Moid = "string",
ObjectType = "string",
Owners = new[]
{
"string",
},
Parents = new[]
{
new Intersight.Inputs.CliCliPolicyParentArgs
{
AdditionalProperties = "string",
ClassId = "string",
Moid = "string",
ObjectType = "string",
Selector = "string",
},
},
PermissionResources = new[]
{
new Intersight.Inputs.CliCliPolicyPermissionResourceArgs
{
AdditionalProperties = "string",
ClassId = "string",
Moid = "string",
ObjectType = "string",
Selector = "string",
},
},
SharedScope = "string",
Tags = new[]
{
new Intersight.Inputs.CliCliPolicyTagArgs
{
AdditionalProperties = "string",
AncestorDefinitions = new[]
{
new Intersight.Inputs.CliCliPolicyTagAncestorDefinitionArgs
{
AdditionalProperties = "string",
ClassId = "string",
Moid = "string",
ObjectType = "string",
Selector = "string",
},
},
Definitions = new[]
{
new Intersight.Inputs.CliCliPolicyTagDefinitionArgs
{
AdditionalProperties = "string",
ClassId = "string",
Moid = "string",
ObjectType = "string",
Selector = "string",
},
},
Key = "string",
Propagated = false,
SysTag = false,
Type = "string",
Value = "string",
},
},
VersionContexts = new[]
{
new Intersight.Inputs.CliCliPolicyVersionContextArgs
{
AdditionalProperties = "string",
ClassId = "string",
InterestedMos = new[]
{
new Intersight.Inputs.CliCliPolicyVersionContextInterestedMoArgs
{
AdditionalProperties = "string",
ClassId = "string",
Moid = "string",
ObjectType = "string",
Selector = "string",
},
},
MarkedForDeletion = false,
NrVersion = "string",
ObjectType = "string",
RefMos = new[]
{
new Intersight.Inputs.CliCliPolicyVersionContextRefMoArgs
{
AdditionalProperties = "string",
ClassId = "string",
Moid = "string",
ObjectType = "string",
Selector = "string",
},
},
Timestamp = "string",
VersionType = "string",
},
},
});
example, err := intersight.NewCliCliPolicy(ctx, "cliCliPolicyResource", &intersight.CliCliPolicyArgs{
AccountMoid: pulumi.String("string"),
Accounts: intersight.CliCliPolicyAccountArray{
&intersight.CliCliPolicyAccountArgs{
AdditionalProperties: pulumi.String("string"),
ClassId: pulumi.String("string"),
Moid: pulumi.String("string"),
ObjectType: pulumi.String("string"),
Selector: pulumi.String("string"),
},
},
AdditionalProperties: pulumi.String("string"),
Ancestors: intersight.CliCliPolicyAncestorArray{
&intersight.CliCliPolicyAncestorArgs{
AdditionalProperties: pulumi.String("string"),
ClassId: pulumi.String("string"),
Moid: pulumi.String("string"),
ObjectType: pulumi.String("string"),
Selector: pulumi.String("string"),
},
},
ClassId: pulumi.String("string"),
CliCliPolicyId: pulumi.String("string"),
CreateTime: pulumi.String("string"),
DomainGroupMoid: pulumi.String("string"),
FiAndUnifiedEdgeEcmcCliLaunch: pulumi.Bool(false),
ModTime: pulumi.String("string"),
Moid: pulumi.String("string"),
ObjectType: pulumi.String("string"),
Owners: pulumi.StringArray{
pulumi.String("string"),
},
Parents: intersight.CliCliPolicyParentArray{
&intersight.CliCliPolicyParentArgs{
AdditionalProperties: pulumi.String("string"),
ClassId: pulumi.String("string"),
Moid: pulumi.String("string"),
ObjectType: pulumi.String("string"),
Selector: pulumi.String("string"),
},
},
PermissionResources: intersight.CliCliPolicyPermissionResourceArray{
&intersight.CliCliPolicyPermissionResourceArgs{
AdditionalProperties: pulumi.String("string"),
ClassId: pulumi.String("string"),
Moid: pulumi.String("string"),
ObjectType: pulumi.String("string"),
Selector: pulumi.String("string"),
},
},
SharedScope: pulumi.String("string"),
Tags: intersight.CliCliPolicyTagArray{
&intersight.CliCliPolicyTagArgs{
AdditionalProperties: pulumi.String("string"),
AncestorDefinitions: intersight.CliCliPolicyTagAncestorDefinitionArray{
&intersight.CliCliPolicyTagAncestorDefinitionArgs{
AdditionalProperties: pulumi.String("string"),
ClassId: pulumi.String("string"),
Moid: pulumi.String("string"),
ObjectType: pulumi.String("string"),
Selector: pulumi.String("string"),
},
},
Definitions: intersight.CliCliPolicyTagDefinitionArray{
&intersight.CliCliPolicyTagDefinitionArgs{
AdditionalProperties: pulumi.String("string"),
ClassId: pulumi.String("string"),
Moid: pulumi.String("string"),
ObjectType: pulumi.String("string"),
Selector: pulumi.String("string"),
},
},
Key: pulumi.String("string"),
Propagated: pulumi.Bool(false),
SysTag: pulumi.Bool(false),
Type: pulumi.String("string"),
Value: pulumi.String("string"),
},
},
VersionContexts: intersight.CliCliPolicyVersionContextArray{
&intersight.CliCliPolicyVersionContextArgs{
AdditionalProperties: pulumi.String("string"),
ClassId: pulumi.String("string"),
InterestedMos: intersight.CliCliPolicyVersionContextInterestedMoArray{
&intersight.CliCliPolicyVersionContextInterestedMoArgs{
AdditionalProperties: pulumi.String("string"),
ClassId: pulumi.String("string"),
Moid: pulumi.String("string"),
ObjectType: pulumi.String("string"),
Selector: pulumi.String("string"),
},
},
MarkedForDeletion: pulumi.Bool(false),
NrVersion: pulumi.String("string"),
ObjectType: pulumi.String("string"),
RefMos: intersight.CliCliPolicyVersionContextRefMoArray{
&intersight.CliCliPolicyVersionContextRefMoArgs{
AdditionalProperties: pulumi.String("string"),
ClassId: pulumi.String("string"),
Moid: pulumi.String("string"),
ObjectType: pulumi.String("string"),
Selector: pulumi.String("string"),
},
},
Timestamp: pulumi.String("string"),
VersionType: pulumi.String("string"),
},
},
})
resource "intersight_cli_cli_policy" "cliCliPolicyResource" {
lifecycle {
create_before_destroy = true
}
account_moid = "string"
accounts {
additional_properties = "string"
class_id = "string"
moid = "string"
object_type = "string"
selector = "string"
}
additional_properties = "string"
ancestors {
additional_properties = "string"
class_id = "string"
moid = "string"
object_type = "string"
selector = "string"
}
class_id = "string"
cli_cli_policy_id = "string"
create_time = "string"
domain_group_moid = "string"
fi_and_unified_edge_ecmc_cli_launch = false
mod_time = "string"
moid = "string"
object_type = "string"
owners = ["string"]
parents {
additional_properties = "string"
class_id = "string"
moid = "string"
object_type = "string"
selector = "string"
}
permission_resources {
additional_properties = "string"
class_id = "string"
moid = "string"
object_type = "string"
selector = "string"
}
shared_scope = "string"
tags {
additional_properties = "string"
ancestor_definitions {
additional_properties = "string"
class_id = "string"
moid = "string"
object_type = "string"
selector = "string"
}
definitions {
additional_properties = "string"
class_id = "string"
moid = "string"
object_type = "string"
selector = "string"
}
key = "string"
propagated = false
sys_tag = false
type = "string"
value = "string"
}
version_contexts {
additional_properties = "string"
class_id = "string"
interested_mos {
additional_properties = "string"
class_id = "string"
moid = "string"
object_type = "string"
selector = "string"
}
marked_for_deletion = false
nr_version = "string"
object_type = "string"
ref_mos {
additional_properties = "string"
class_id = "string"
moid = "string"
object_type = "string"
selector = "string"
}
timestamp = "string"
version_type = "string"
}
}
var cliCliPolicyResource = new CliCliPolicy("cliCliPolicyResource", CliCliPolicyArgs.builder()
.accountMoid("string")
.accounts(CliCliPolicyAccountArgs.builder()
.additionalProperties("string")
.classId("string")
.moid("string")
.objectType("string")
.selector("string")
.build())
.additionalProperties("string")
.ancestors(CliCliPolicyAncestorArgs.builder()
.additionalProperties("string")
.classId("string")
.moid("string")
.objectType("string")
.selector("string")
.build())
.classId("string")
.cliCliPolicyId("string")
.createTime("string")
.domainGroupMoid("string")
.fiAndUnifiedEdgeEcmcCliLaunch(false)
.modTime("string")
.moid("string")
.objectType("string")
.owners("string")
.parents(CliCliPolicyParentArgs.builder()
.additionalProperties("string")
.classId("string")
.moid("string")
.objectType("string")
.selector("string")
.build())
.permissionResources(CliCliPolicyPermissionResourceArgs.builder()
.additionalProperties("string")
.classId("string")
.moid("string")
.objectType("string")
.selector("string")
.build())
.sharedScope("string")
.tags(CliCliPolicyTagArgs.builder()
.additionalProperties("string")
.ancestorDefinitions(CliCliPolicyTagAncestorDefinitionArgs.builder()
.additionalProperties("string")
.classId("string")
.moid("string")
.objectType("string")
.selector("string")
.build())
.definitions(CliCliPolicyTagDefinitionArgs.builder()
.additionalProperties("string")
.classId("string")
.moid("string")
.objectType("string")
.selector("string")
.build())
.key("string")
.propagated(false)
.sysTag(false)
.type("string")
.value("string")
.build())
.versionContexts(CliCliPolicyVersionContextArgs.builder()
.additionalProperties("string")
.classId("string")
.interestedMos(CliCliPolicyVersionContextInterestedMoArgs.builder()
.additionalProperties("string")
.classId("string")
.moid("string")
.objectType("string")
.selector("string")
.build())
.markedForDeletion(false)
.nrVersion("string")
.objectType("string")
.refMos(CliCliPolicyVersionContextRefMoArgs.builder()
.additionalProperties("string")
.classId("string")
.moid("string")
.objectType("string")
.selector("string")
.build())
.timestamp("string")
.versionType("string")
.build())
.build());
cli_cli_policy_resource = intersight.CliCliPolicy("cliCliPolicyResource",
account_moid="string",
accounts=[{
"additional_properties": "string",
"class_id": "string",
"moid": "string",
"object_type": "string",
"selector": "string",
}],
additional_properties="string",
ancestors=[{
"additional_properties": "string",
"class_id": "string",
"moid": "string",
"object_type": "string",
"selector": "string",
}],
class_id="string",
cli_cli_policy_id="string",
create_time="string",
domain_group_moid="string",
fi_and_unified_edge_ecmc_cli_launch=False,
mod_time="string",
moid="string",
object_type="string",
owners=["string"],
parents=[{
"additional_properties": "string",
"class_id": "string",
"moid": "string",
"object_type": "string",
"selector": "string",
}],
permission_resources=[{
"additional_properties": "string",
"class_id": "string",
"moid": "string",
"object_type": "string",
"selector": "string",
}],
shared_scope="string",
tags=[{
"additional_properties": "string",
"ancestor_definitions": [{
"additional_properties": "string",
"class_id": "string",
"moid": "string",
"object_type": "string",
"selector": "string",
}],
"definitions": [{
"additional_properties": "string",
"class_id": "string",
"moid": "string",
"object_type": "string",
"selector": "string",
}],
"key": "string",
"propagated": False,
"sys_tag": False,
"type": "string",
"value": "string",
}],
version_contexts=[{
"additional_properties": "string",
"class_id": "string",
"interested_mos": [{
"additional_properties": "string",
"class_id": "string",
"moid": "string",
"object_type": "string",
"selector": "string",
}],
"marked_for_deletion": False,
"nr_version": "string",
"object_type": "string",
"ref_mos": [{
"additional_properties": "string",
"class_id": "string",
"moid": "string",
"object_type": "string",
"selector": "string",
}],
"timestamp": "string",
"version_type": "string",
}])
const cliCliPolicyResource = new intersight.CliCliPolicy("cliCliPolicyResource", {
accountMoid: "string",
accounts: [{
additionalProperties: "string",
classId: "string",
moid: "string",
objectType: "string",
selector: "string",
}],
additionalProperties: "string",
ancestors: [{
additionalProperties: "string",
classId: "string",
moid: "string",
objectType: "string",
selector: "string",
}],
classId: "string",
cliCliPolicyId: "string",
createTime: "string",
domainGroupMoid: "string",
fiAndUnifiedEdgeEcmcCliLaunch: false,
modTime: "string",
moid: "string",
objectType: "string",
owners: ["string"],
parents: [{
additionalProperties: "string",
classId: "string",
moid: "string",
objectType: "string",
selector: "string",
}],
permissionResources: [{
additionalProperties: "string",
classId: "string",
moid: "string",
objectType: "string",
selector: "string",
}],
sharedScope: "string",
tags: [{
additionalProperties: "string",
ancestorDefinitions: [{
additionalProperties: "string",
classId: "string",
moid: "string",
objectType: "string",
selector: "string",
}],
definitions: [{
additionalProperties: "string",
classId: "string",
moid: "string",
objectType: "string",
selector: "string",
}],
key: "string",
propagated: false,
sysTag: false,
type: "string",
value: "string",
}],
versionContexts: [{
additionalProperties: "string",
classId: "string",
interestedMos: [{
additionalProperties: "string",
classId: "string",
moid: "string",
objectType: "string",
selector: "string",
}],
markedForDeletion: false,
nrVersion: "string",
objectType: "string",
refMos: [{
additionalProperties: "string",
classId: "string",
moid: "string",
objectType: "string",
selector: "string",
}],
timestamp: "string",
versionType: "string",
}],
});
type: intersight:CliCliPolicy
properties:
accountMoid: string
accounts:
- additionalProperties: string
classId: string
moid: string
objectType: string
selector: string
additionalProperties: string
ancestors:
- additionalProperties: string
classId: string
moid: string
objectType: string
selector: string
classId: string
cliCliPolicyId: string
createTime: string
domainGroupMoid: string
fiAndUnifiedEdgeEcmcCliLaunch: false
modTime: string
moid: string
objectType: string
owners:
- string
parents:
- additionalProperties: string
classId: string
moid: string
objectType: string
selector: string
permissionResources:
- additionalProperties: string
classId: string
moid: string
objectType: string
selector: string
sharedScope: string
tags:
- additionalProperties: string
ancestorDefinitions:
- additionalProperties: string
classId: string
moid: string
objectType: string
selector: string
definitions:
- additionalProperties: string
classId: string
moid: string
objectType: string
selector: string
key: string
propagated: false
sysTag: false
type: string
value: string
versionContexts:
- additionalProperties: string
classId: string
interestedMos:
- additionalProperties: string
classId: string
moid: string
objectType: string
selector: string
markedForDeletion: false
nrVersion: string
objectType: string
refMos:
- additionalProperties: string
classId: string
moid: string
objectType: string
selector: string
timestamp: string
versionType: string
CliCliPolicy Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The CliCliPolicy resource accepts the following input properties:
- Account
Moid string - (ReadOnly) The Account ID for this managed object.
- Accounts
List<Cli
Cli Policy Account> - (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- Additional
Properties string - Ancestors
List<Cli
Cli Policy Ancestor> - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Cli
Cli stringPolicy Id - Create
Time string - (ReadOnly) The time when this managed object was created.
- Domain
Group stringMoid - (ReadOnly) The DomainGroup ID for this managed object.
- Fi
And boolUnified Edge Ecmc Cli Launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- Mod
Time string - (ReadOnly) The time when this managed object was last modified.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- Owners List<string>
- (Array of schema.TypeString) -(ReadOnly)
- Parents
List<Cli
Cli Policy Parent> - (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- Permission
Resources List<CliCli Policy Permission Resource> - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- string
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
-
List<Cli
Cli Policy Tag> - This complex property has following sub-properties:
- Version
Contexts List<CliCli Policy Version Context> - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- Account
Moid string - (ReadOnly) The Account ID for this managed object.
- Accounts
[]Cli
Cli Policy Account Args - (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- Additional
Properties string - Ancestors
[]Cli
Cli Policy Ancestor Args - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Cli
Cli stringPolicy Id - Create
Time string - (ReadOnly) The time when this managed object was created.
- Domain
Group stringMoid - (ReadOnly) The DomainGroup ID for this managed object.
- Fi
And boolUnified Edge Ecmc Cli Launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- Mod
Time string - (ReadOnly) The time when this managed object was last modified.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- Owners []string
- (Array of schema.TypeString) -(ReadOnly)
- Parents
[]Cli
Cli Policy Parent Args - (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- Permission
Resources []CliCli Policy Permission Resource Args - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- string
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
-
[]Cli
Cli Policy Tag Args - This complex property has following sub-properties:
- Version
Contexts []CliCli Policy Version Context Args - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- account_
moid string - (ReadOnly) The Account ID for this managed object.
- accounts list(object)
- (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- additional_
properties string - ancestors list(object)
- (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- class_
id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- cli_
cli_ stringpolicy_ id - create_
time string - (ReadOnly) The time when this managed object was created.
- domain_
group_ stringmoid - (ReadOnly) The DomainGroup ID for this managed object.
- fi_
and_ boolunified_ edge_ ecmc_ cli_ launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- mod_
time string - (ReadOnly) The time when this managed object was last modified.
- moid string
- The unique identifier of this Managed Object instance.
- object_
type string - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- owners list(string)
- (Array of schema.TypeString) -(ReadOnly)
- parents list(object)
- (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- permission_
resources list(object) - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- string
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- list(object)
- This complex property has following sub-properties:
- version_
contexts list(object) - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- account
Moid String - (ReadOnly) The Account ID for this managed object.
- accounts
List<Cli
Cli Policy Account> - (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- additional
Properties String - ancestors
List<Cli
Cli Policy Ancestor> - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- cli
Cli StringPolicy Id - create
Time String - (ReadOnly) The time when this managed object was created.
- domain
Group StringMoid - (ReadOnly) The DomainGroup ID for this managed object.
- fi
And BooleanUnified Edge Ecmc Cli Launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- mod
Time String - (ReadOnly) The time when this managed object was last modified.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- owners List<String>
- (Array of schema.TypeString) -(ReadOnly)
- parents
List<Cli
Cli Policy Parent> - (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- permission
Resources List<CliCli Policy Permission Resource> - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- String
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
-
List<Cli
Cli Policy Tag> - This complex property has following sub-properties:
- version
Contexts List<CliCli Policy Version Context> - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- account
Moid string - (ReadOnly) The Account ID for this managed object.
- accounts
Cli
Cli Policy Account[] - (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- additional
Properties string - ancestors
Cli
Cli Policy Ancestor[] - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- cli
Cli stringPolicy Id - create
Time string - (ReadOnly) The time when this managed object was created.
- domain
Group stringMoid - (ReadOnly) The DomainGroup ID for this managed object.
- fi
And booleanUnified Edge Ecmc Cli Launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- mod
Time string - (ReadOnly) The time when this managed object was last modified.
- moid string
- The unique identifier of this Managed Object instance.
- object
Type string - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- owners string[]
- (Array of schema.TypeString) -(ReadOnly)
- parents
Cli
Cli Policy Parent[] - (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- permission
Resources CliCli Policy Permission Resource[] - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- string
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
-
Cli
Cli Policy Tag[] - This complex property has following sub-properties:
- version
Contexts CliCli Policy Version Context[] - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- account_
moid str - (ReadOnly) The Account ID for this managed object.
- accounts
Sequence[Cli
Cli Policy Account Args] - (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- additional_
properties str - ancestors
Sequence[Cli
Cli Policy Ancestor Args] - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- class_
id str - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- cli_
cli_ strpolicy_ id - create_
time str - (ReadOnly) The time when this managed object was created.
- domain_
group_ strmoid - (ReadOnly) The DomainGroup ID for this managed object.
- fi_
and_ boolunified_ edge_ ecmc_ cli_ launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- mod_
time str - (ReadOnly) The time when this managed object was last modified.
- moid str
- The unique identifier of this Managed Object instance.
- object_
type str - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- owners Sequence[str]
- (Array of schema.TypeString) -(ReadOnly)
- parents
Sequence[Cli
Cli Policy Parent Args] - (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- permission_
resources Sequence[CliCli Policy Permission Resource Args] - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- str
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
-
Sequence[Cli
Cli Policy Tag Args] - This complex property has following sub-properties:
- version_
contexts Sequence[CliCli Policy Version Context Args] - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- account
Moid String - (ReadOnly) The Account ID for this managed object.
- accounts List<Property Map>
- (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- additional
Properties String - ancestors List<Property Map>
- (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- cli
Cli StringPolicy Id - create
Time String - (ReadOnly) The time when this managed object was created.
- domain
Group StringMoid - (ReadOnly) The DomainGroup ID for this managed object.
- fi
And BooleanUnified Edge Ecmc Cli Launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- mod
Time String - (ReadOnly) The time when this managed object was last modified.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- owners List<String>
- (Array of schema.TypeString) -(ReadOnly)
- parents List<Property Map>
- (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- permission
Resources List<Property Map> - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- String
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- List<Property Map>
- This complex property has following sub-properties:
- version
Contexts List<Property Map> - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
Outputs
All input properties are implicitly available as output properties. Additionally, the CliCliPolicy resource produces the following output properties:
- Id string
- The provider-assigned unique ID for this managed resource.
- Id string
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
- id string
- The provider-assigned unique ID for this managed resource.
- id str
- The provider-assigned unique ID for this managed resource.
- id String
- The provider-assigned unique ID for this managed resource.
Look up Existing CliCliPolicy Resource
Get an existing CliCliPolicy resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: CliCliPolicyState, opts?: CustomResourceOptions): CliCliPolicy@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
account_moid: Optional[str] = None,
accounts: Optional[Sequence[CliCliPolicyAccountArgs]] = None,
additional_properties: Optional[str] = None,
ancestors: Optional[Sequence[CliCliPolicyAncestorArgs]] = None,
class_id: Optional[str] = None,
cli_cli_policy_id: Optional[str] = None,
create_time: Optional[str] = None,
domain_group_moid: Optional[str] = None,
fi_and_unified_edge_ecmc_cli_launch: Optional[bool] = None,
mod_time: Optional[str] = None,
moid: Optional[str] = None,
object_type: Optional[str] = None,
owners: Optional[Sequence[str]] = None,
parents: Optional[Sequence[CliCliPolicyParentArgs]] = None,
permission_resources: Optional[Sequence[CliCliPolicyPermissionResourceArgs]] = None,
shared_scope: Optional[str] = None,
tags: Optional[Sequence[CliCliPolicyTagArgs]] = None,
version_contexts: Optional[Sequence[CliCliPolicyVersionContextArgs]] = None) -> CliCliPolicyfunc GetCliCliPolicy(ctx *Context, name string, id IDInput, state *CliCliPolicyState, opts ...ResourceOption) (*CliCliPolicy, error)public static CliCliPolicy Get(string name, Input<string> id, CliCliPolicyState? state, CustomResourceOptions? opts = null)public static CliCliPolicy get(String name, Output<String> id, CliCliPolicyState state, CustomResourceOptions options)resources: _: type: intersight:CliCliPolicy get: id: ${id}import {
to = intersight_cli_cli_policy.example
id = "${id}"
}
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Account
Moid string - (ReadOnly) The Account ID for this managed object.
- Accounts
List<Cli
Cli Policy Account> - (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- Additional
Properties string - Ancestors
List<Cli
Cli Policy Ancestor> - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Cli
Cli stringPolicy Id - Create
Time string - (ReadOnly) The time when this managed object was created.
- Domain
Group stringMoid - (ReadOnly) The DomainGroup ID for this managed object.
- Fi
And boolUnified Edge Ecmc Cli Launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- Mod
Time string - (ReadOnly) The time when this managed object was last modified.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- Owners List<string>
- (Array of schema.TypeString) -(ReadOnly)
- Parents
List<Cli
Cli Policy Parent> - (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- Permission
Resources List<CliCli Policy Permission Resource> - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- string
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
-
List<Cli
Cli Policy Tag> - This complex property has following sub-properties:
- Version
Contexts List<CliCli Policy Version Context> - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- Account
Moid string - (ReadOnly) The Account ID for this managed object.
- Accounts
[]Cli
Cli Policy Account Args - (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- Additional
Properties string - Ancestors
[]Cli
Cli Policy Ancestor Args - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- Class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- Cli
Cli stringPolicy Id - Create
Time string - (ReadOnly) The time when this managed object was created.
- Domain
Group stringMoid - (ReadOnly) The DomainGroup ID for this managed object.
- Fi
And boolUnified Edge Ecmc Cli Launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- Mod
Time string - (ReadOnly) The time when this managed object was last modified.
- Moid string
- The unique identifier of this Managed Object instance.
- Object
Type string - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- Owners []string
- (Array of schema.TypeString) -(ReadOnly)
- Parents
[]Cli
Cli Policy Parent Args - (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- Permission
Resources []CliCli Policy Permission Resource Args - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- string
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
-
[]Cli
Cli Policy Tag Args - This complex property has following sub-properties:
- Version
Contexts []CliCli Policy Version Context Args - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- account_
moid string - (ReadOnly) The Account ID for this managed object.
- accounts list(object)
- (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- additional_
properties string - ancestors list(object)
- (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- class_
id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- cli_
cli_ stringpolicy_ id - create_
time string - (ReadOnly) The time when this managed object was created.
- domain_
group_ stringmoid - (ReadOnly) The DomainGroup ID for this managed object.
- fi_
and_ boolunified_ edge_ ecmc_ cli_ launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- mod_
time string - (ReadOnly) The time when this managed object was last modified.
- moid string
- The unique identifier of this Managed Object instance.
- object_
type string - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- owners list(string)
- (Array of schema.TypeString) -(ReadOnly)
- parents list(object)
- (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- permission_
resources list(object) - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- string
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- list(object)
- This complex property has following sub-properties:
- version_
contexts list(object) - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- account
Moid String - (ReadOnly) The Account ID for this managed object.
- accounts
List<Cli
Cli Policy Account> - (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- additional
Properties String - ancestors
List<Cli
Cli Policy Ancestor> - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- cli
Cli StringPolicy Id - create
Time String - (ReadOnly) The time when this managed object was created.
- domain
Group StringMoid - (ReadOnly) The DomainGroup ID for this managed object.
- fi
And BooleanUnified Edge Ecmc Cli Launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- mod
Time String - (ReadOnly) The time when this managed object was last modified.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- owners List<String>
- (Array of schema.TypeString) -(ReadOnly)
- parents
List<Cli
Cli Policy Parent> - (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- permission
Resources List<CliCli Policy Permission Resource> - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- String
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
-
List<Cli
Cli Policy Tag> - This complex property has following sub-properties:
- version
Contexts List<CliCli Policy Version Context> - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- account
Moid string - (ReadOnly) The Account ID for this managed object.
- accounts
Cli
Cli Policy Account[] - (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- additional
Properties string - ancestors
Cli
Cli Policy Ancestor[] - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- class
Id string - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- cli
Cli stringPolicy Id - create
Time string - (ReadOnly) The time when this managed object was created.
- domain
Group stringMoid - (ReadOnly) The DomainGroup ID for this managed object.
- fi
And booleanUnified Edge Ecmc Cli Launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- mod
Time string - (ReadOnly) The time when this managed object was last modified.
- moid string
- The unique identifier of this Managed Object instance.
- object
Type string - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- owners string[]
- (Array of schema.TypeString) -(ReadOnly)
- parents
Cli
Cli Policy Parent[] - (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- permission
Resources CliCli Policy Permission Resource[] - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- string
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
-
Cli
Cli Policy Tag[] - This complex property has following sub-properties:
- version
Contexts CliCli Policy Version Context[] - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- account_
moid str - (ReadOnly) The Account ID for this managed object.
- accounts
Sequence[Cli
Cli Policy Account Args] - (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- additional_
properties str - ancestors
Sequence[Cli
Cli Policy Ancestor Args] - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- class_
id str - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- cli_
cli_ strpolicy_ id - create_
time str - (ReadOnly) The time when this managed object was created.
- domain_
group_ strmoid - (ReadOnly) The DomainGroup ID for this managed object.
- fi_
and_ boolunified_ edge_ ecmc_ cli_ launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- mod_
time str - (ReadOnly) The time when this managed object was last modified.
- moid str
- The unique identifier of this Managed Object instance.
- object_
type str - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- owners Sequence[str]
- (Array of schema.TypeString) -(ReadOnly)
- parents
Sequence[Cli
Cli Policy Parent Args] - (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- permission_
resources Sequence[CliCli Policy Permission Resource Args] - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- str
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
-
Sequence[Cli
Cli Policy Tag Args] - This complex property has following sub-properties:
- version_
contexts Sequence[CliCli Policy Version Context Args] - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
- account
Moid String - (ReadOnly) The Account ID for this managed object.
- accounts List<Property Map>
- (ReadOnly) A reference to a iamAccount resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- additional
Properties String - ancestors List<Property Map>
- (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- class
Id String - The fully-qualified name of the instantiated, concrete type. This property is used as a discriminator to identify the type of the payload when marshaling and unmarshaling data.
- cli
Cli StringPolicy Id - create
Time String - (ReadOnly) The time when this managed object was created.
- domain
Group StringMoid - (ReadOnly) The DomainGroup ID for this managed object.
- fi
And BooleanUnified Edge Ecmc Cli Launch - Enable or Disable launching FI and Unified Edge eCMC CLI within the account.
- mod
Time String - (ReadOnly) The time when this managed object was last modified.
- moid String
- The unique identifier of this Managed Object instance.
- object
Type String - The fully-qualified name of the instantiated, concrete type. The value should be the same as the 'ClassId' property.
- owners List<String>
- (Array of schema.TypeString) -(ReadOnly)
- parents List<Property Map>
- (ReadOnly) A reference to a moBaseMo resource.When the $expand query parameter is specified, the referenced resource is returned inline. This complex property has following sub-properties:
- permission
Resources List<Property Map> - (ReadOnly) An array of relationships to moBaseMo resources. This complex property has following sub-properties:
- String
- (ReadOnly) Intersight provides pre-built workflows, tasks and policies to end users through global catalogs.Objects that are made available through global catalogs are said to have a 'shared' ownership. Shared objects are either made globally available to all end users or restricted to end users based on their license entitlement. Users can use this property to differentiate the scope (global or a specific license tier) to which a shared MO belongs.
- List<Property Map>
- This complex property has following sub-properties:
- version
Contexts List<Property Map> - (ReadOnly) The versioning info for this managed object. This complex property has following sub-properties:
Supporting Types
CliCliPolicyAccount, CliCliPolicyAccountArgs
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties string - class_
id string - moid string
- The Moid of the referenced REST resource.
- object_
type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - moid string
- The Moid of the referenced REST resource.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties str - class_
id str - moid str
- The Moid of the referenced REST resource.
- object_
type str - The fully-qualified name of the remote type referred by this relationship.
- selector str
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
CliCliPolicyAncestor, CliCliPolicyAncestorArgs
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties string - class_
id string - moid string
- The Moid of the referenced REST resource.
- object_
type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - moid string
- The Moid of the referenced REST resource.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties str - class_
id str - moid str
- The Moid of the referenced REST resource.
- object_
type str - The fully-qualified name of the remote type referred by this relationship.
- selector str
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
CliCliPolicyParent, CliCliPolicyParentArgs
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties string - class_
id string - moid string
- The Moid of the referenced REST resource.
- object_
type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - moid string
- The Moid of the referenced REST resource.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties str - class_
id str - moid str
- The Moid of the referenced REST resource.
- object_
type str - The fully-qualified name of the remote type referred by this relationship.
- selector str
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
CliCliPolicyPermissionResource, CliCliPolicyPermissionResourceArgs
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties string - class_
id string - moid string
- The Moid of the referenced REST resource.
- object_
type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - moid string
- The Moid of the referenced REST resource.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties str - class_
id str - moid str
- The Moid of the referenced REST resource.
- object_
type str - The fully-qualified name of the remote type referred by this relationship.
- selector str
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
CliCliPolicyTag, CliCliPolicyTagArgs
- Additional
Properties string - Ancestor
Definitions List<CliCli Policy Tag Ancestor Definition> - This complex property has following sub-properties:
- Definitions
List<Cli
Cli Policy Tag Definition> - (ReadOnly) The definition is a reference to the tag definition object.The tag definition object contains the properties of the tag such as name, type, and description. This complex property has following sub-properties:
- Key string
- The string representation of a tag key.
- Propagated bool
- (ReadOnly) Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- Sys
Tag bool - (ReadOnly) Specifies whether the tag is user-defined or owned by the system.
- Type string
- (ReadOnly) An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.*
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.*PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is \ A/B/C\ , then \ A\ is the parent tag, \ B\ is the child tag of \ A\ and \ C\ is the child tag of \ B\ . - Value string
- The string representation of a tag value.
- Additional
Properties string - Ancestor
Definitions []CliCli Policy Tag Ancestor Definition - This complex property has following sub-properties:
- Definitions
[]Cli
Cli Policy Tag Definition - (ReadOnly) The definition is a reference to the tag definition object.The tag definition object contains the properties of the tag such as name, type, and description. This complex property has following sub-properties:
- Key string
- The string representation of a tag key.
- Propagated bool
- (ReadOnly) Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- Sys
Tag bool - (ReadOnly) Specifies whether the tag is user-defined or owned by the system.
- Type string
- (ReadOnly) An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.*
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.*PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is \ A/B/C\ , then \ A\ is the parent tag, \ B\ is the child tag of \ A\ and \ C\ is the child tag of \ B\ . - Value string
- The string representation of a tag value.
- additional_
properties string - ancestor_
definitions list(object) - This complex property has following sub-properties:
- definitions list(object)
- (ReadOnly) The definition is a reference to the tag definition object.The tag definition object contains the properties of the tag such as name, type, and description. This complex property has following sub-properties:
- key string
- The string representation of a tag key.
- propagated bool
- (ReadOnly) Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- sys_
tag bool - (ReadOnly) Specifies whether the tag is user-defined or owned by the system.
- type string
- (ReadOnly) An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.*
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.*PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is \ A/B/C\ , then \ A\ is the parent tag, \ B\ is the child tag of \ A\ and \ C\ is the child tag of \ B\ . - value string
- The string representation of a tag value.
- additional
Properties String - ancestor
Definitions List<CliCli Policy Tag Ancestor Definition> - This complex property has following sub-properties:
- definitions
List<Cli
Cli Policy Tag Definition> - (ReadOnly) The definition is a reference to the tag definition object.The tag definition object contains the properties of the tag such as name, type, and description. This complex property has following sub-properties:
- key String
- The string representation of a tag key.
- propagated Boolean
- (ReadOnly) Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- sys
Tag Boolean - (ReadOnly) Specifies whether the tag is user-defined or owned by the system.
- type String
- (ReadOnly) An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.*
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.*PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is \ A/B/C\ , then \ A\ is the parent tag, \ B\ is the child tag of \ A\ and \ C\ is the child tag of \ B\ . - value String
- The string representation of a tag value.
- additional
Properties string - ancestor
Definitions CliCli Policy Tag Ancestor Definition[] - This complex property has following sub-properties:
- definitions
Cli
Cli Policy Tag Definition[] - (ReadOnly) The definition is a reference to the tag definition object.The tag definition object contains the properties of the tag such as name, type, and description. This complex property has following sub-properties:
- key string
- The string representation of a tag key.
- propagated boolean
- (ReadOnly) Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- sys
Tag boolean - (ReadOnly) Specifies whether the tag is user-defined or owned by the system.
- type string
- (ReadOnly) An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.*
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.*PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is \ A/B/C\ , then \ A\ is the parent tag, \ B\ is the child tag of \ A\ and \ C\ is the child tag of \ B\ . - value string
- The string representation of a tag value.
- additional_
properties str - ancestor_
definitions Sequence[CliCli Policy Tag Ancestor Definition] - This complex property has following sub-properties:
- definitions
Sequence[Cli
Cli Policy Tag Definition] - (ReadOnly) The definition is a reference to the tag definition object.The tag definition object contains the properties of the tag such as name, type, and description. This complex property has following sub-properties:
- key str
- The string representation of a tag key.
- propagated bool
- (ReadOnly) Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- sys_
tag bool - (ReadOnly) Specifies whether the tag is user-defined or owned by the system.
- type str
- (ReadOnly) An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.*
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.*PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is \ A/B/C\ , then \ A\ is the parent tag, \ B\ is the child tag of \ A\ and \ C\ is the child tag of \ B\ . - value str
- The string representation of a tag value.
- additional
Properties String - ancestor
Definitions List<Property Map> - This complex property has following sub-properties:
- definitions List<Property Map>
- (ReadOnly) The definition is a reference to the tag definition object.The tag definition object contains the properties of the tag such as name, type, and description. This complex property has following sub-properties:
- key String
- The string representation of a tag key.
- propagated Boolean
- (ReadOnly) Propagated is a boolean flag that indicates whether the tag is propagated to the related managed objects.
- sys
Tag Boolean - (ReadOnly) Specifies whether the tag is user-defined or owned by the system.
- type String
- (ReadOnly) An enum type that defines the type of tag. Supported values are 'pathtag' and 'keyvalue'.*
KeyValue- KeyValue type of tag. Key is required for these tags. Value is optional.*PathTag- Key contain path information. Value is not present for these tags. The path is created by using the '/' character as a delimiter.For example, if the tag is \ A/B/C\ , then \ A\ is the parent tag, \ B\ is the child tag of \ A\ and \ C\ is the child tag of \ B\ . - value String
- The string representation of a tag value.
CliCliPolicyTagAncestorDefinition, CliCliPolicyTagAncestorDefinitionArgs
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties string - class_
id string - moid string
- The Moid of the referenced REST resource.
- object_
type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - moid string
- The Moid of the referenced REST resource.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties str - class_
id str - moid str
- The Moid of the referenced REST resource.
- object_
type str - The fully-qualified name of the remote type referred by this relationship.
- selector str
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
CliCliPolicyTagDefinition, CliCliPolicyTagDefinitionArgs
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- Additional
Properties string - Class
Id string - Moid string
- The Moid of the referenced REST resource.
- Object
Type string - The fully-qualified name of the remote type referred by this relationship.
- Selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties string - class_
id string - moid string
- The Moid of the referenced REST resource.
- object_
type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties string - class
Id string - moid string
- The Moid of the referenced REST resource.
- object
Type string - The fully-qualified name of the remote type referred by this relationship.
- selector string
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional_
properties str - class_
id str - moid str
- The Moid of the referenced REST resource.
- object_
type str - The fully-qualified name of the remote type referred by this relationship.
- selector str
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
- additional
Properties String - class
Id String - moid String
- The Moid of the referenced REST resource.
- object
Type String - The fully-qualified name of the remote type referred by this relationship.
- selector String
- An OData $filter expression which describes the REST resource to be referenced. This field maybe set instead of 'moid' by clients.1. If 'moid' is set this field is ignored.1. If 'selector' is set and 'moid' is empty/absent from the request, Intersight determines the Moid of theresource matching the filter expression and populates it in the MoRef that is part of the objectinstance being inserted/updated to fulfill the REST request.An error is returned if the filter matches zero or more than one REST resource.An example filter string is: Serial eq '3AA8B7T11'.
CliCliPolicyVersionContext, CliCliPolicyVersionContextArgs
- Additional
Properties string - Class
Id string - Interested
Mos List<CliCli Policy Version Context Interested Mo> - This complex property has following sub-properties:
- Marked
For boolDeletion - (ReadOnly) The flag to indicate if snapshot is marked for deletion or not. If flag is set then snapshot will be removed after the successful deployment of the policy.
- Nr
Version string - (ReadOnly) The version of the Managed Object, e.g. an incrementing number or a hash id.
- Object
Type string - The fully-qualified name of the instantiated, concrete type.The value should be the same as the 'ClassId' property.
- Ref
[...]
